# CesiumInspector

#### new Cesium.CesiumInspector(container, scene)
widgets/Source/CesiumInspector/CesiumInspector.js 22

Inspector widget to aid in debugging

Name | Type | Description
--- | --- | ---
`container` | Element | string | The DOM element or ID that will contain the widget.
`scene` | Scene | The Scene instance to use.

##### Demo:

- Cesium Sandcastle Cesium Inspector Demo

### Members

#### container : Element
widgets/Source/CesiumInspector/CesiumInspector.js 286

Gets the parent container.

#### viewModel : CesiumInspectorViewModel
widgets/Source/CesiumInspector/CesiumInspector.js 298

Gets the view model.

### Methods

#### destroy()
widgets/Source/CesiumInspector/CesiumInspector.js 316

Destroys the widget. Should be called if permanently removing the widget from layout.

#### isDestroyed() → boolean
widgets/Source/CesiumInspector/CesiumInspector.js 308

##### Returns:

true if the object has been destroyed, false otherwise.

Need help? The fastest way to get answers is from the community and team on the Cesium Forum.